/**
 * @file common.h
 * @brief Proyecto SmartWatch - Sistemas Embebidos - Fing
 * Common definitions file
 *
 * @author Leonardo Martínez <leonardo.martinez.hornak@fing.edu.uy>, Isabel Morales <imorales@fing.edu.uy>
 * @version 1.0
 * @date 15/5/2021
 */

#ifndef INCLUDE_COMMON_H_
#define INCLUDE_COMMON_H_

//#define DEBUG

#define BLUETOOTH_CONFIGURED 0      //Used to enter configuration mode of the HC-06. Set to 1 when configured. Needs to be done only once as data is retained by the module

#define REF_VOLTAGE_DIV_BY_ADC_10BITS_RESOLUTION 1.17
#define QUEUE_DIMENSION_UART 200

#define MESSAGE_DIMENSION 200
#define FUNCTION_QUEUE_DIMENSION 20
#define SLOW_ISR_FUNCTION_CALL_TICK 500   //Miliseconds time for slow function to be called
#define FAST_ISR_FUNCTION_CALL_TICK 10   //Miliseconds time for fast function to be called

#endif /* INCLUDE_COMMON_H_ */
