/**
 * @file communications.h
 * @brief Communications Module header
 *
 * Proyecto Smart Watch - UART
 * Communications module
 *
 * This module is used to configure the
 * device peripheral used for communications with the PC and send/receive data, transmit data
 *
 * communications.h
 * Module that allows the configuration of the interface of communications between the smartwatch and the external world
 *
 * @authors Leonardo Martínez <leonardo.martinez.hornak@fing.edu.uy>, Isabel Morales <imorales@fing.edu.uy>
 * @version 1.0
 * @date May 15, 2021
 */

#ifndef INCLUDE_COMMUNICATIONS_H_
#define INCLUDE_COMMUNICATIONS_H_

/**
 * @brief Initializes communication module
 */
void initializeCommunications(void);

/**
 * @brief Sends packet using communications interface
 *
 */
void sendPacket(void);

#endif /* INCLUDE_COMMUNICATIONS_H_ */
