#include "msp.h"
#include "fifo_function_queue.h"
#include "user_interface.h"
#include "gpio.h"
#include "body_temperature.h"
#include "communications.h"
#include "timing_logic.h"

void (*task)();


void main(void)
{
	volatile int i;
    WDT_A->CTL = WDT_A_CTL_PW | WDT_A_CTL_HOLD;		// stop watchdog timer

    initFunctionQueue();
    initializeGPIOModule();
    initializeUserInterface();
    initializeBodyTemperature();
    initializeCommunications();

    initializeTimingLogic();

    __enable_interrupt();
	while(1)
    {
        if(!functionQueueIsEmpty())
        {
            task = getFromFunctionQueue();
            task();
        }
        else
        {
            __low_power_mode_0();
        }
    }

}

